<?php
use \Psr\Http\Message\ServerRequestInterface as Request;
use \Psr\Http\Message\ResponseInterface as Response;

//Archivo de base de datos
require_once "../src/config/Conexion.php";
require_once dirname(dirname(dirname(dirname(__FILE__)))) . '/api-woo/ActualizarOrden.php';

$app->post('/registrar/transaccion', function(Request $request, Response $response){

  
	$idTransaccion = $request->getParam('codigoRecaudacion');
	$tabla = PREFIX . 'postmeta';
	$tabla_opciones = PREFIX . 'options';
	$consulta = "SELECT post_id as id FROM $tabla WHERE meta_value = ?";
	$order_id;
	$opciones;
	$clave_cliente;
	$clave_secreta;
	$sitio;

	try {
		
		$conexion = new Conexion();
		$conexion = $conexion->conectar();
		$stm = $conexion->prepare($consulta);
		$stm->bindParam(1, $idTransaccion);
		$stm->execute();

		foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $order_id = $r->id;
        }

        $consulta = "SELECT option_value as opciones FROM $tabla_opciones WHERE option_name = 'woocommerce_woo_pagosnet_efectivo_settings'";
        $stm = $conexion->prepare($consulta);
		$stm->execute();

		foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $opciones = $r->opciones;
        }

        $porciones = explode('"', $opciones);

		foreach($porciones as $p){

		    $domain = strstr($p, 'ck_');

		    if($domain){
		        $clave_cliente =  $p;
		    }
		    
		    $domain = strstr($p, 'cs_');

		    if($domain){
		        $clave_secreta = $p;
		    }
		}


		$consulta = "SELECT option_value as url FROM $tabla_opciones WHERE option_name = 'siteurl'";
        $stm = $conexion->prepare($consulta);
		$stm->execute();

		foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $sitio = $r->url;
        }


        $woo = new ActualizarOrden();
        $woo->actualizar($sitio, $clave_cliente, $clave_secreta, $order_id);


        return $response->withStatus(200)
        ->withHeader('Content-Type', 'application/json')
        ->write('{"codError":0, "descripcion":"Sin Errores"}');


	} catch (PDOException $e) {
		throw new PDOException();
	}


});
