<?php

	require_once WOO_DIR . 'includes/Autoloap.php';
	
	class PagosNet{

	  //Datos de la recaudación a registrarse
	  //-----------------------------------------------------------------------------------------------
	  //A=adicionar, B=baja, M=modificar
	  public $transaccion                 = 'A';
	  //código interno del cliente       
	  public $codigoComprador             = 0;       
	  public $categoriaProducto           = 1;
	  public $correoElectronico           = null;
	  public $moneda                      = 'BS';
	  //identificador propio, el formato lo define el cliente
	  public $codigoRecaudacion           = null; 
	  public $descripcionRecaudacion      = 'Pago en Publicasas';
	  public $fecha                       = 20170101;
	  //0 = no tiene vencimiento0
	  public $fechaVencimiento            = 0;  
	  public $hora                        = 190000;
	  //0 = para no tiene vencimiento
	  public $horaVencimiento             = 0;  
	  public $nombreComprador             = null;
	  public $documentoIdentidadComprador = 0;
	  public $numeroPago                  = 1;
	  public $montoPago                   = null;
	  public $descripcion                 = 'Pago en Publicasas';
	  public $montoCreditoFiscal          = null;
	  public $nombreFactura               = 'SINTESIS S.A.';
	  public $nitFactura                  = 1028675024;
	  public $precedenciaCobro            = 'N';


	    // Datos para registrar datos del cliente que realizara pagos con tarjetas de crédito o débito.
  	  //-----------------------------------------------------------------------------
	  public $transaccionTH               = 'A';   // A=adicionar, B=Baja, esta es la accion que se realizara sobre este tarjetahabiente.
	  public $apellido                    = '';
	  public $telefono                    = '';
	  public $nombre             		  = '';
	  public $pais                        = 'Bolivia';
	  public $departamento                = '';
	  public $ciudad                      = '';
	  public $direccion                   = '';

	  public $cuenta      = null;
	  public $password    = null;
	  public $url_pagosnet = null;

	    // LLENADO DE DATOS A LOS ARRAYS PARA ENVIAR


	  function __construct($cuenta, $password, $url_pagosnet){
	  	$this->cuenta = $cuenta;
	  	$this->password = $password;
	  	$this->url_pagosnet = $url_pagosnet;
	  }


	  public function registrarRecaudacion(){

	    $client = null;

	    $cliente = new Cliente();

$planilla = array(
	'descripcion'        => $this->descripcion,
	'montoCreditoFiscal' => $this->montoCreditoFiscal,
	'montoPago'          => $this->montoPago,
	'nitFactura'         => $this->nitFactura,
	'nombreFactura'      => $this->nombreFactura,
	'numeroPago'         => $this->numeroPago 
  );

   $datos = array(
	'transaccion'                 => $this->transaccion,
	'categoriaProducto'           => $this->categoriaProducto,
	'codigoComprador'             => $this->codigoComprador,
	'codigoRecaudacion'           => $this->codigoRecaudacion,
	'correoElectronico'           => $this->correoElectronico,
	'descripcionRecaudacion'      => $this->descripcionRecaudacion,
	'documentoIdentidadComprador' => $this->documentoIdentidadComprador,
	'fecha'                       => $this->fecha,
	'fechaVencimiento'            => $this->fechaVencimiento,
	'hora'                        => $this->hora,
	'horaVencimiento'             => $this->horaVencimiento,	
	'moneda'                      => $this->moneda,
	'nombreComprador'             => $this->nombreComprador,
	'precedenciaCobro'            => $this->precedenciaCobro,
	'planillas'                   => $planilla
  );

   $params = array(
	'datos'    => $datos,
	'cuenta'   => $this->cuenta,
	'password' => $this->password,
 );

		//Instancio el ws
		$client = new SoapClient($this->url_pagosnet, array('trace'=>true, 'exceptions'=>true	));

		$responseRegistroPlan = $cliente->registroPlan($client, $params);
			
			//Analizo la respuesta	
			if ($responseRegistroPlan['return']['codigoError'] === 0) {

				return $responseRegistroPlan['return']['idTransaccion'];	
				//TODO: Registrar en la BD del cliente	
				
			} else {
				//TODO: Desplegar mensaje de error
				return;     
			}

		}// end PagoEfectivo() 



			public function registrarTarjeta($id){

		//Preparo la invocación del WS registroTarjetaHabiente (Obligatoria para pagos con tarjeta)
		//Los datos del tarjetahabiente corresponden al cliente que realizara el pago utilizando tarjeta
	    //de credito o debito.
		//-----------------------------------------------------------------------------------------------
		$client = null;

		$cliente = new Cliente();

		$datosTarjetaHabiente = array(
			'idTransaccion'     => $id,
			'transaccion'       => $this->transaccionTH,
	        'nombre'            => $this->nombre,
	        'apellido'          => $this->apellido,
	        'correoElectronico' => $this->correoElectronico,
	        'telefono'          => $this->telefono,
	        'pais'              => $this->pais,
	        'departamento'      => $this->departamento,
	        'ciudad'            => $this->ciudad,
	        'direccion'         => $this->direccion
		);

		$paramsTarjetaHabiente = array(
			'datos' => $datosTarjetaHabiente,
			'cuenta' => $this->cuenta,
			'password' => $this->password,
		);

		//Instancio el ws
		$client = new SoapClient($this->url_pagosnet, array('trace'=>true, 'exceptions'=>true	));

		$responseRegistroTarjetaHabiente = $cliente->registroTarjetaHabiente($client, $paramsTarjetaHabiente);

		//Analizo la respuesta	
		if ($responseRegistroTarjetaHabiente['return']['codigoError'] === 0){
			return 0;
		}else{
			return;
		}

}


	}// End class PagosNet

?>