<?php
use \Psr\Http\Message\ServerRequestInterface as Request;
use \Psr\Http\Message\ResponseInterface as Response;

//Class
require '../vendor/autoload.php';

//Handler Errors
$c = new \Slim\Container();
$c['errorHandler'] = function ($c) {
    return function ($request, $response, $exception) use ($c) {
        return $c['response']->withStatus(500)
                             ->withHeader('Content-Type', 'application/json')
        ->write('{"codError":1, "descripcion":"Ocurrio un error"}');
    };
};

$app = new \Slim\App($c);



//Routes
require "../src/rutas/registrar-datos.php";

//Done
$app->run();

