<?php

define( 'WOO_DIR', plugin_dir_path( __FILE__ )); 

class Autoload {

	
	public static function register() {
		spl_autoload_register( array( 'self', 'spl_autoload_register' ) );
	}

	public static function spl_autoload_register( $class_name ) {	
		$class = WOO_DIR . 'includes/' . $class_name . '.php';
	    if ( file_exists($class) ) {
			require_once $class;
		}
	}

}





Autoload::register();